Subject: Re: bug#44112: SBCL is not reproducible

From: zimoun <[email-masked]>
Date: Wed, 21 Oct 2020 15:43:24 +0200

On Wed, 21 Oct 2020 at 15:39, zimoun <[email-masked]> wrote:

> > IIRC, SBCL itself is built in 2 stages. First its core is compiled
> > using another Common Lisp implementation (currently clisp in Guix), then
> > the complete SBCL is compiled using the core compiled in stage 1. There
> > is probably also an embedded timestamp issue here (coming for clisp,
> > from SBCL, or both) causing the reproducibility issue.

In addition, GCC is also involved in the party.  And I have also
replaced it by Clang with the same effect.

Cheers,
simon